Package org.apache.sling.contentparser.xml.jcr.internal

## Class JCRXMLContentParser

- java.lang.Object
- - org.apache.sling.contentparser.xml.jcr.internal.JCRXMLContentParser

All Implemented Interfaces:
  `org.apache.sling.contentparser.api.ContentParser`

    public final class JCRXMLContentParser
    extends java.lang.Object
    implements org.apache.sling.contentparser.api.ContentParser

### Field Summary

### Fields inherited from interface org.apache.sling.contentparser.api.ContentParser

`SERVICE_PROPERTY_CONTENT_TYPE`

### Constructor Summary

Constructors
`JCRXMLContentParser()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `parse​(org.apache.sling.contentparser.api.ContentHandler handler, java.io.InputStream is, org.apache.sling.contentparser.api.ParserOptions parserOptions)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JCRXMLContentParser

    public JCRXMLContentParser()

### Method Detail

#### parse

    public void parse​(org.apache.sling.contentparser.api.ContentHandler handler,
                      java.io.InputStream is,
                      org.apache.sling.contentparser.api.ParserOptions parserOptions)
               throws java.io.IOException

Specified by:
  `parse` in interface `org.apache.sling.contentparser.api.ContentParser`
Throws:
  `java.io.IOException`